Bug 436631 - pidgin 2.4.0-1 crashes after suspend
pidgin 2.4.0-1 crashes after suspend
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
: 438607 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2008-03-08 12:36 EST by tengel
Modified: 2009-01-09 02:56 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 02:56:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description tengel 2008-03-08 12:36:10 EST
Description of problem:

After updating to pidgin-2.4.0-1 I am experiencing a crash of sorts upon waking
my laptop up from suspend; after the laptop has resumed, pidgin is just no
longer "there" in my notification area, I have to relaunch it by hand. This did
not happen at all with the previous 2.3.X pidgin previously (nor ever as far as
I can remember). I upgraded roughly 24hrs ago to the new pidgin and this started

Version-Release number of selected component (if applicable):


How reproducible:

Sometimes, which is frustrating. If I force suspend the laptop then resume it
somewhat quickly, it seems fine. If I let the laptop suspend on it's own and it
sits for a time (i.e. overnight), then upon resume pidgin has crashed. Perhaps
it has to do with network disconnection length or timeouts?

Steps to Reproduce:
1. Start pidgin and have it running in the notification area, no buddy list visible
2. Let the laptop suspend normally (1hr) on it's own
3. Wake the laptop some time later, but not immediately
Actual results:

Pidgin is no longer running.

Expected results:

Pidgin should be running.

Additional info:

I cannot find any log information that seems to help, but perhaps I'm not
looking in the right way/place. Please let me know how I can provide further
information to help, or additional debugging steps.


Thinkpad T43 (2687D3U)
Fedora-based video/audio/network/etc. drivers, no 3rd party
Wireless: Intel 2915ABG (ipw2200)

/etc/modprobe.conf special options:
alias net-pf-31 bluez
alias bt-proto-0 l2cap
alias bt-proto-2 sco
alias bt-proto-3 rfcomm
alias net-pf-10 off
options ibm_acpi experimental=1  
options thinkpad_acpi fan_control=1


Two network connections kept open in pidgin: GTalk and AIM

Active pidgin plugins:
Buddy State Notification
Message Notification
Nautilus Integration
Off-The-Record Messaging
Group IM (http://plugins.guifications.org/trac/wiki/groupmsg)
Comment 1 Jan Hutař 2008-03-10 17:40:50 EDT
I have reported this upstream as well:

Comment 2 James 2008-03-12 04:15:09 EDT
I think it's more to do with changing network connections. I've seen Pidgin
crash shortly after pulling an Ethernet connection (and then re-plugging or
moving to wireless), or sometimes not reconnecting after an interface has come up.
Comment 3 Anders 2008-03-13 06:51:07 EDT
I believe this may be due to the jabber protocol and timeouts of connections. I
have pidgin-2.4.0-1.fc8 and after I captured a core, get this backtrace for the
offending thread:

#0  0x00110402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00582690 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
	resultvar = <value optimized out>
	pid = 7004148
	selftid = 4646
#2  0x00583f91 in abort () at abort.c:88
	act = {__sigaction_handler = {sa_handler = 0, sa_sigaction = 0}, 
  sa_mask = {__val = {0 <repeats 23 times>, 6024308, 694, 3216882204, 
      6411252, 6411266, 6014068, 2, 164440512, 694}}, sa_flags = 7005536, 
  sa_restorer = 0x2b6}
	sigs = {__val = {32, 0 <repeats 31 times>}}
#3  0x080c0e6b in sighandler (sig=11) at gtkmain.c:220
No locals.
#4  <signal handler called>
No symbol table info available.
#5  jabber_pong_timeout (gc=0xa267fb0) at jabber.c:402
	js = (JabberStream *) 0x0
#6  0x00215966 in g_timeout_dispatch (source=0xa26db18, callback=0, 
    user_data=0xa267fb0) at gmain.c:3488
No locals.
#7  0x002151ac in IA__g_main_context_dispatch (context=0x9ceeff8)
    at gmain.c:2061
No locals.
#8  0x002185ef in g_main_context_iterate (context=0x9ceeff8, block=1, 
    dispatch=1, self=0x9cce238) at gmain.c:2694
	got_ownership = <value optimized out>
	max_priority = 2147483647
	timeout = 7954
	some_ready = 1
	nfds = <value optimized out>
	allocated_nfds = <value optimized out>
	fds = (GPollFD *) 0xa0fd388
	__PRETTY_FUNCTION__ = "g_main_context_iterate"
#9  0x00218999 in IA__g_main_loop_run (loop=0xa036308) at gmain.c:2898
	got_ownership = 9593664
	self = (GThread *) 0x9cce238
	__PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#10 0x03e917ee in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#11 0x080c16ba in main (argc=1, argv=0xbfbe01b4) at gtkmain.c:887
	display = <value optimized out>
	opt_help = <value optimized out>
	opt_login = 0
	opt_nologin = 0
	opt_version = <value optimized out>
	opt_si = 1
	opt_config_dir_arg = 0x0
	opt_login_arg = 0x0
	opt_session_arg = 0x0
	accounts = <value optimized out>
	sig_indx = <value optimized out>
	sigset = {__val = {91143, 0 <repeats 31 times>}}
	prev_sig_disp = <value optimized out>
	errmsg =
"\000\000\000\000±éT\000\000\000\000\000Ký½¿À_U\000Àx¢\000 3¥\000¼὿À_U\000\003\000\000\000À\004E\000D὿åêT\000\b\000\000\000\034\000\000\000À_U\000Xý½¿\204kT\000ð\236ó·à\236ó·\f\000\000\000ædT\000\001\000\000\000°\"ô·\230Òó·\000\000\000\000\000\000\000\0000
	segfault_message_tmp = <value optimized out>
	error = (GError *) 0x0
	opt = <value optimized out>
	gui_check = <value optimized out>
	debug_enabled = <value optimized out>
	migration_failed = <value optimized out>
	active_accounts = <value optimized out>
	long_options = {{name = 0x810884a "config", has_arg = 1, flag = 0x0, 
    val = 99}, {name = 0x80f8b39 "debug", has_arg = 0, flag = 0x0, 
    val = 100}, {name = 0x80fb8e3 "help", has_arg = 0, flag = 0x0, 
    val = 104}, {name = 0x80f8df1 "login", has_arg = 2, flag = 0x0, 
    val = 108}, {name = 0x8104ed4 "multiple", has_arg = 0, flag = 0x0, 
    val = 109}, {name = 0x8104edd "nologin", has_arg = 0, flag = 0x0, 
    val = 110}, {name = 0x8108840 "session", has_arg = 1, flag = 0x0, 
    val = 115}, {name = 0x80fd620 "version", has_arg = 0, flag = 0x0, 
    val = 118}, {name = 0x8108853 "display", has_arg = 1, flag = 0x0, 
    val = 68}, {name = 0x8104ee5 "sync", has_arg = 0, flag = 0x0, val = 83}, {
    name = 0x0, has_arg = 0, flag = 0x0, val = 0}}

I believe the offending call is in frame #5 and that there is an attempt to free
a NULL pointer (pidgin SIGSEGV's).
Comment 4 Stu Tomlinson 2008-03-13 08:06:11 EDT
Yes, it is related to the XMPP ping timeouts. No, it's not as simple as
dereferencing a NULL pointer. See http://developer.pidgin.im/ticket/4814 for the
upstream ticket.
Comment 5 Stu Tomlinson 2008-04-01 09:13:28 EDT
*** Bug 438607 has been marked as a duplicate of this bug. ***
Comment 6 Fedora Update System 2008-04-01 09:15:56 EDT
pidgin-2.4.1-1.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-04-01 17:35:37 EDT
pidgin-2.4.1-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pidgin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-2846
Comment 8 tengel 2008-04-04 11:06:54 EDT
The update appears good. Same laptop and network connection as the original bug
report, latest F8 updates applied as of 2008-03-03 20:00 PST. I have left Pidgin
logged in and running, let the laptop suspend overnight on it's own and waken it
up - Pidgin remains (re)connected and running as expected and desired. Thanks!
Comment 9 Rodd Clarkson 2008-04-05 19:12:54 EDT
This update works for me on f8
Comment 10 Jan Hutař 2008-04-07 03:11:26 EDT
If the F8 update fixes/do not fixes the bug for, you can comment on:

Comment 11 Fedora Update System 2008-04-09 01:13:27 EDT
pidgin-2.4.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2008-04-09 01:17:50 EDT
pidgin-2.4.1-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Bug Zapper 2008-11-26 05:04:39 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 14 Bug Zapper 2009-01-09 02:56:18 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.